<!-- Contenedor principal -->
<app-banner-registro-emprendimiento></app-banner-registro-emprendimiento>
<div class="conteneder-registro-emprendimiento">
  <!-- Título -->
  <h3>Formulario de registro</h3>

  <!-- Sección 1: Datos personales -->
  <section class="registro-datos">
    <app-tarjeta-guiaPositivo
      [mensaje]="'El éxito de una emprendedora no se mide por los obstáculos que enfrenta, sino por su determinación para superarlos.'"
      [imgUrl]="'../../../../../assets/image/woman-empoderada.png'"></app-tarjeta-guiaPositivo>

    <p-divider layout="vertical"></p-divider>

    <!-- Campos de entrada de datos -->
    <div class="datos">
      <input type="text" pTooltip="Nombre del emprendimiento" class="inpt_secon" placeholder="Nombre del emprendimiento"
        [(ngModel)]="emprendimiento.NombreEmpresa" (keyup)="validarTexto($event, 'NombreEmpresa')">

      <p-inputNumber [(ngModel)]="emprendimiento.NumeroCelular" pTooltip="Número de celular" placeholder="Número de celular"
      class="inpt_secon" mode="decimal" inputId="withoutgrouping" [useGrouping]="false"></p-inputNumber>

      <p-inputNumber [(ngModel)]="emprendimiento.NIT" placeholder="NIT" pTooltip="NIT" class="inpt_secon" mode="decimal"
      inputId="withoutgrouping" [useGrouping]="false"></p-inputNumber>

      <span class="nota2">*Nota: Si no tiene NIT y razón social se usara el de la institución Univalle por defecto.</span>

      <input type="text" pTooltip="Razón Social" class="inpt_secon" placeholder="Razón social"
        [(ngModel)]="emprendimiento.RazonSocial" (keyup)="validarTexto($event, 'RazonSocial')">
      <p-dropdown [options]="categorias" pTooltip="Categoría del emprendimiento"
        [(ngModel)]="emprendimiento.CategoriaEmpresa.IdCategoriaEmpresa" optionValue="idCategoria" optionLabel="nombre"
        placeholder="Categoria"></p-dropdown>
      <textarea placeholder="Descripción" pTooltip="Descripción" rows="5" cols="30" pInputTextarea
        [(ngModel)]="emprendimiento.Descripcion" (keyup)="validarTexto($event, 'Descripcion')"></textarea>
    </div>
  </section>

  <!-- Sección 2: Ubicación en mapa -->
  <section class="registro-datos">
    <app-tarjeta-guiaPositivo
      [mensaje]="'Coloca tu emprendimiento en el mapa del éxito: ¡Ubicación clara, clientes satisfechos!'"
      [imgUrl]="'../../../../../assets/image/location.png'"></app-tarjeta-guiaPositivo>

    <p-divider layout="vertical"></p-divider>

    <div class="datos">
      <p-dropdown [options]="departamentos" pTooltip="Departamento" [(ngModel)]="departamentoSeleccionado"
        optionLabel="nombre" optionValue="idDepartamento" placeholder="Departamento"
        (onChange)="cargarNuevaUbicacion()"></p-dropdown>
      <input type="text" class="inpt_secon" #inputDireccion placeholder="Dirección" pTooltip="Dirección"
        [(ngModel)]="emprendimiento.Direccion">
      <div class="mapa" #divMapa></div>
    </div>
  </section>

  <!-- Sección 3: Subida de foto -->
  <section class="registro-datos">
    <app-tarjeta-guiaPositivo
      [mensaje]="'Añade una imagen para que las personas puedan identificar más fácil tu emprendimiento.'"
      [imgUrl]="'../../../../../assets/image/upload.png'"></app-tarjeta-guiaPositivo>

    <p-divider layout="vertical"></p-divider>

    <div class="foto">
      <figure>
        <img [src]="imgUrl" alt="Imagen de emprendimiento">
      </figure>
      <div class="foto-upload" [ngClass]="{'drag-over': isDragOver}" (dragover)="onDragOver($event)"
        (dragleave)="onDragLeave($event)" (drop)="onDrop($event)">
        <p-fileUpload [customUpload]="true" (uploadHandler)="obtenerImagen($event)" mode="basic" accept="image/*"
          [maxFileSize]="1000000" [auto]="true">
        </p-fileUpload>
        <label><i class="uil uil-camera"></i>&nbsp; Arrastra o selecciona una imagen para subir</label>
      </div>
    </div>
  </section>

  <span class="nota">Nota: Al registrar el emprendimiento deberá volver a iniciar sesión para que se carguen las nuevas
    funcionalidades disponibles para las emprendedoras.</span>

  <button class="btn btn-primary-2" (click)="registrarEmprendimiento()">Registrar emprendimiento</button>
</div>

<app-loading-overlay *ngIf="mostrarSpinner" [mensaje]="'Registrando emprendimiento...'"></app-loading-overlay>
